package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.DocCate;

/** 文档分类 Service */
public interface DocCateService {
    /**
     * 查询文档分类列表
     *
     * @param docCate 查询条件
     * @return 文档分类列表
     */
    public List<DocCate> selectDocCateList(DocCate docCate);

    /**
     * 通过分类ID查询文档分类
     *
     * @param cateId 分类ID
     * @return 文档分类
     */
    public DocCate selectDocCateById(String cateId);

    /**
     * 删除文档分类
     *
     * @param cateIds 分类ID数组
     * @return 删除行数
     */
    public int deleteDocCateByIds(String[] cateIds);

    /**
     * 新增文档分类
     *
     * @param docCate 文档分类
     * @return 插入行数
     */
    public int insertDocCate(DocCate docCate);

    /**
     * 修改文档分类
     *
     * @param docCate 文档分类
     * @return 更新行数
     */
    public int updateDocCate(DocCate docCate);

    /**
     * 获取文档分类树
     *
     * @return 文档分类树列表
     */
    public List<DocCate> getTree();

    /**
     * 查询子分类列表
     *
     * @param catePid 父分类ID
     * @return 子分类列表
     */
    public List<DocCate> findSubList(String catePid);
}
